%define upstream_name    DateTime-TimeZone-SystemV
%define upstream_version 0.009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    4

Summary:    System V and POSIX timezone strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DateTime/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Date::ISO8601)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Params::Classify)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Pod)

BuildArch: noarch

%description
An instance of this class represents a timezone that was specified by means
of a System V timezone recipe or an extended form of the same syntax (such
as that specified by POSIX). These can express a plain offset from
Universal Time, or a system of two offsets (standard and daylight saving
time) switching on a yearly cycle according to certain types of rule.

This class implements the the DateTime::TimeZone manpage interface, so that
its instances can be used with the DateTime manpage objects.

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml README Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog

* Sun Aug 16 2015 Denis Silakov <denis.silakov@rosalab.ru> 0.9.0-4
- (9a49cc8) Move to main


